View Issue Details

IDProjectCategoryView StatusLast Update
0009701mantisbtinstallationpublic2014-12-08 00:34
ReporterolegosAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1.3 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0009701: Install/upgrade shouldn't need admin user when DB already exists
Description

Using PostgreSQL. I'm installing Mantis on a web server, and I've configured postgres to only allow a single non-admin user to access mantis database from there. I've created the database manually.

Couldn't get through the check "Attempting to connect to database as admin" (error: "Does administrative user have access to the database? ( Unable to Connect )")

So I've replaced the line 292 in install.php with just "$t_result = 1;", and the rest went well.

I don't think installation should insist on having admin access when it's not necessary. A checkbox for "Database already exists" on the installation form would be acceptable, if it's too complicated to figure this out automatically.

TagsNo tags attached.

Relationships

child of 0014398 closeddregad Support for PostgreSQL broken in 1.3 

Activities

jreese

jreese

2008-10-20 11:31

reporter   ~0019604

1.1.x has known issues with database schemas for Postgresql; last I knew, Paul was the one dealing with trying to port the fixes from trunk back to 1.1.x.

olegos

olegos

2008-10-20 19:28

reporter   ~0019611

Trunk behaves the same way.

dregad

dregad

2013-10-16 11:03

developer   ~0038278

You have to consider the case where the database user does not have the right to create/alter tables, in that case providing an admin account is mandatory.

Nevertheless, this should be fixed in master branch shortly - Mantis will attempt installation using the database user, issue a warning that the admin user/pw are blank and happily continue with the upgrade using the db user/pw (of course it will fail if the account does not have enough privileges)

Related Changesets

MantisBT: master e23da69a

2013-10-17 11:46:56

dregad

Details Diff
Various fixes and improvements to the installer

Fixes 0009701 0016357 0007632 (and potentially others as well)
mod - admin/install.php Diff File
add - javascript/install.js Diff File

Issue History

Date Modified Username Field Change
2008-10-15 21:18 olegos New Issue
2008-10-20 11:31 jreese Note Added: 0019604
2008-10-20 11:31 jreese Assigned To => grangeway
2008-10-20 11:31 jreese Status new => assigned
2008-10-20 19:28 olegos Note Added: 0019611
2013-07-30 06:51 dregad Relationship added child of 0014398
2013-08-16 04:38 hero2289 Tag Attached: closed
2013-08-16 06:33 atrol Tag Detached: closed
2013-10-16 11:03 dregad Note Added: 0038278
2013-10-17 12:35 dregad Status assigned => resolved
2013-10-17 12:35 dregad Fixed in Version => 1.3.0-beta.1
2013-10-17 12:35 dregad Resolution open => fixed
2013-10-17 12:35 dregad Assigned To grangeway => dregad
2013-10-17 12:58 dregad Target Version => 1.3.0-beta.1
2013-10-17 13:09 dregad Changeset attached => MantisBT master e23da69a
2014-12-08 00:34 vboctor Status resolved => closed